const key = require('keymaster');
const actions = require('./actions');

function setupKeys(store) {
    console.log('binding keys');
    key.unbind('esc');
    key('esc', () => store.dispatch(actions.setCombiner([null, null, null])));
    key('esc', () => store.dispatch(actions.setReclaiming(false)));
    key('esc', () => store.dispatch(actions.setActiveSkill(null)));
}

module.exports = setupKeys;
